| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
extension.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/rfnoc/mb_controller.hpp>`
`#include <uhd/rfnoc/radio_control.hpp>`
`#include <uhd/rfnoc/rf_control/core_iface.hpp>`
`#include <uhd/rfnoc/rf_control/power_reference_iface.hpp>`
`#include <uhd/utils/noncopyable.hpp>`
`#include <uhd/utils/static.hpp>`
`#include <functional>`
`#include <memory>`
`#include <string>`

Go to the source code of this file.

## Classes
class | uhd::extension::extension
struct | uhd::extension::extension::factory_args

## Namespaces
namespace | uhd
namespace | uhd::extension

## Macros
#define | UHD_REGISTER_EXTENSION(NAME, CLASS_NAME)

## Macro Definition Documentation

## ◆ UHD_REGISTER_EXTENSION

#define UHD_REGISTER_EXTENSION | ( |  | NAME,
|  |  | CLASS_NAME )

Value:
UHD_STATIC_BLOCK(register_extension_##NAME) \
{ \
uhd::extension::extension::register_extension(#NAME, CLASS_NAME::make); \
}
UHD_STATIC_BLOCK
#define UHD_STATIC_BLOCK(_x)
Definition static.hpp:30

Function to be called by the extension to register in the extension framework

Parameters

  NAME | Key under which the extension gets registered
  CLASS_NAME | Name of the class that holds the make function of the extension